from setuptools import setup, find_packages

setup(
    name="flask_backend_template",
    version="0.1.2",
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        "flask",
        "flask_sqlalchemy",
        "flask_jwt_extended",
        "flask_cors"
    ],
    entry_points={
        "console_scripts": [
            "flask_backend_template-init = flask_backend_template.scripts.initialize:main"
        ]
    },
    author="Arjun Shukla",
    author_email="arjunshukla6558@gmail.com",
    description="A CLI tool to generate a Flask backend template",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
)
